> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/apps/app-summary > Get app state summary counts ## OpenAPI ````json POST /v1/apps/app-summary { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/apps/app-summary": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsAppSummaryPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsAppSummaryPostResponse" } } } } }, "description": "Get app state summary counts" } } }, "components": { "schemas": { "v1AppsAppSummaryPostRequest": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isDia": { "type": "boolean", "example": true }, "timeWindow": { "$ref": "#/components/schemas/ipfixTimeWindow" } }, "additionalProperties": false }, "v1AppsAppSummaryPostResponse": { "type": "object", "properties": { "appSummary": { "$ref": "#/components/schemas/ipfixAppStateSummaryCount" } }, "additionalProperties": false }, "ipfixTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "ipfixAppStateSummaryCount": { "type": "object", "properties": { "appHealth": { "type": "object", "additionalProperties": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "appIncidents": { "$ref": "#/components/schemas/ipfixAppIncidents" }, "appsOnDeviceCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "averageQoe": { "type": "number", "format": "double", "example": 123.45 }, "circuitsIncidents": { "type": "array", "items": { "$ref": "#/components/schemas/statsmonCircuitsIncidents" } }, "circuitsIncidentsv2": { "type": "array", "items": { "$ref": "#/components/schemas/statsmonV2CircuitIncidents" } } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "ipfixAppIncidents": { "type": "object", "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixAppIncidentsData" } } }, "additionalProperties": false }, "statsmonCircuitsIncidents": { "type": "object", "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/statsmonCircuitsIncidentsData" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "statsmonV2CircuitIncidents": { "type": "object", "properties": { "data": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsData" } }, "additionalProperties": false }, "ipfixAppIncidentsData": { "type": "object", "properties": { "appCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0, "description": "number of apps running in this time bucket" }, "appStatus": { "type": "string", "example": "ENUM_VALUE" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "statsmonCircuitsIncidentsData": { "type": "object", "properties": { "dlIncidents": { "$ref": "#/components/schemas/statsmonCircuitIncidents" }, "overallStatus": { "type": "string", "example": "ENUM_VALUE", "description": "Overall circuit status based on num of poor/fair incidents." }, "totalIncidents": { "$ref": "#/components/schemas/statsmonCircuitIncidents" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "ulIncidents": { "$ref": "#/components/schemas/statsmonCircuitIncidents" } }, "additionalProperties": false }, "statsmonV2CircuitIncidentsData": { "type": "object", "properties": { "samples": { "type": "array", "items": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsDataSample" } }, "selector": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsSelector" } }, "additionalProperties": false }, "statsmonCircuitIncidents": { "type": "object", "properties": { "numFairIncidents": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numPoorIncidents": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "statsmonV2CircuitIncidentsDataSample": { "type": "object", "properties": { "dlIncidents": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsDataSampleIncidents" }, "overallStatus": { "type": "string", "example": "ENUM_VALUE", "description": "Overall circuit status based on num of poor/fair incidents." }, "totalIncidents": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsDataSampleIncidents" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "ulIncidents": { "$ref": "#/components/schemas/statsmonV2CircuitIncidentsDataSampleIncidents" } }, "additionalProperties": false }, "statsmonV2CircuitIncidentsSelector": { "type": "object", "properties": { "circuitName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "statsmonV2CircuitIncidentsDataSampleIncidents": { "type": "object", "properties": { "numFairIncidents": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numPoorIncidents": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````